struct EulerEquation{T_EoS<:EquationOfState.AbstractEquationOfState} <: AbstractEquation
  eos::T_EoS
end


mutable struct Project{T_Equation <:EulerEquation,
                       T_RSolver  <:AbstractRiemannSolver,
                       T_HRSC     <:Maybe{HRSC.AbstractHRSC},
                       T_TCI      <:Maybe{TCI.AbstractTCI},
                       T_LDG_RSolver<:Maybe{AbstractRiemannSolver},
                       T_AV_RSolver<:Maybe{AbstractRiemannSolver}}

  equation::T_Equation
  rsolver::T_RSolver
  hrsc::T_HRSC
  tci::T_TCI
  ldg_rsolver::T_LDG_RSolver
  av_rsolver::T_AV_RSolver
end
