struct Equation{T_EoS<:AbstractEquationOfState} <: AbstractEquation
  eos::T_EoS
  atm_factor::Float64
  atm_threshold::Float64
  cons2prim_newtonsolver::dg1d.NewtonSolver
  cons2prim_bisection::dg1d.Bisection
end


struct Project{T_HRSC         <:Maybe{HRSC.AbstractHRSC},
               T_TCI          <:Maybe{TCI.AbstractTCI},
               T_RSolver      <:AbstractRiemannSolver,
               T_LDG_RSolver  <:Maybe{AbstractRiemannSolver},
               T_AV_RSolver   <:Maybe{AbstractRiemannSolver}} <: dg1d.AbstractProject

  equation::Equation
  hrsc::T_HRSC
  tci::T_TCI
  rsolver::T_RSolver
  ldg_rsolver::T_LDG_RSolver
  av_rsolver::T_AV_RSolver
end
