Base.@kwdef struct Threshold <: AbstractTCI
  mesh::Mesh
  # parameters
  threshold::Float64
end


function compute_indicator!(
    flag, # mutated outputs
    u,    # inputs
    tci::Threshold)

  @unpack mesh   = tci
  @unpack invjac = mesh
  @unpack D      = mesh.element
  L              = layout(mesh)
  Npts, K        = L

  fill!(flag, 0)
  u = reshape(u, L)

  @unpack threshold = tci
  display(threshold)
  for k = 1:K
    for ui in u[:,k]
      if ui >= threshold
        flag[k] = 1
        break
      end
    end
  end

  display(flag)

  return
end
